drbg.h File Reference

Classes for NIST DRBGs from SP 800-90A. More...

Go to the source code of this file.

## Classes

class | NIST_DRBG
| Interface for NIST DRBGs from SP 800-90A. More...
class | NIST_DRBG::Err
| Exception thrown when a NIST DRBG encounters an error. More...
class | Hash_DRBG< HASH, STRENGTH, SEEDLENGTH >
| Hash_DRBG from SP 800-90A Rev 1 (June 2015). More...
class | HMAC_DRBG< HASH, STRENGTH, SEEDLENGTH >
| HMAC_DRBG from SP 800-90A Rev 1 (June 2015). More...

## Detailed Description

Classes for NIST DRBGs from SP 800-90A.

See also
  Recommendation for Random Number Generation Using Deterministic Random Bit Generators, Rev 1 (June 2015)

Since
  Crypto++ 6.0

Definition in file drbg.h.